cascading.tap.hadoop.util

## Class MeasuredRecordReader

- java.lang.Object
- - cascading.tap.hadoop.util.MeasuredRecordReader

All Implemented Interfaces:
  org.apache.hadoop.mapred.RecordReader

    public class MeasuredRecordReader
    extends java.lang.Object
    implements org.apache.hadoop.mapred.RecordReader

### Constructor Summary

Constructors
Constructor and Description
`MeasuredRecordReader(FlowProcess flowProcess, java.lang.Enum counter)`

### Method Summary

Methods
`void` `close()`
`java.lang.Object` `createKey()`
`java.lang.Object` `createValue()`
`long` `getPos()`
`float` `getProgress()`
`org.apache.hadoop.mapred.RecordReader` `getRecordReader()`
`boolean` `next(java.lang.Object key, java.lang.Object value)`
`void` `setRecordReader(org.apache.hadoop.mapred.RecordReader recordReader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MeasuredRecordReader

    public MeasuredRecordReader(FlowProcess flowProcess,
                        java.lang.Enum counter)

### Method Detail

#### getRecordReader

    public org.apache.hadoop.mapred.RecordReader getRecordReader()

#### setRecordReader

    public void setRecordReader(org.apache.hadoop.mapred.RecordReader recordReader)

#### next

    public boolean next(java.lang.Object key,
               java.lang.Object value)
                 throws java.io.IOException

Specified by:
  `next` in interface `org.apache.hadoop.mapred.RecordReader`
Throws:
  `java.io.IOException`

#### createKey

    public java.lang.Object createKey()

Specified by:
  `createKey` in interface `org.apache.hadoop.mapred.RecordReader`

#### createValue

    public java.lang.Object createValue()

Specified by:
  `createValue` in interface `org.apache.hadoop.mapred.RecordReader`

#### getPos

    public long getPos()
                throws java.io.IOException

Specified by:
  `getPos` in interface `org.apache.hadoop.mapred.RecordReader`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `org.apache.hadoop.mapred.RecordReader`
Throws:
  `java.io.IOException`

#### getProgress

    public float getProgress()
                      throws java.io.IOException

Specified by:
  `getProgress` in interface `org.apache.hadoop.mapred.RecordReader`
Throws:
  `java.io.IOException`